Subject: Re: vcs for hefty video and graphics files

From: Philippe Lhoste <[email-masked]>
Date: Tue, 23 Nov 2010 11:37:46 +0100

On 22/11/2010 19:09, Harry Putnam wrote:
> Which of the main contenders:  cvs subversion mercurial git bizarre
> Maybe  a few more I don't know about, would be the best candidate for
> the usage and user described

bizarre? Never heard of this VCS before...

 > Each project would only run a month or 2 months at the most and then
 > all but the final delivered version would be deleted.  That version
 > might be keep for a yr or so.

Maybe it is pure heresy, but since all you want is to keep temporarily several very big 
and nearly incompressible files where diffs (or deltas?) are probably not significant, I 
would advance that a VCS won't be very useful here.
Advantages of VCS are (among others):
- make delta of changes to keep as little data as possible
- compress this data (?)
- keep changes indefinitely to be sure to have them when we need them
- share and merge (changes from somebody else, or you elsewhere)
Unless I missed something, these advantages doesn't seem to apply there.

Some game makers keep track of their (large) binary files, along with the rest of the 
project (source code). Rarely in isolation.
Perforce and PlasticSCM both boast superior support of these files, I won't comment on 
these allegations (over other VCS), just having no experience here.

Somehow, in your case, the good old way of keeping copies renamed to keep the version (or 
kept in specific directories) might work for you... Perhaps along with a small text file 
with comments on content of each file.

PS.: I don't see why you included Tomcat list...

-- 
Philippe Lhoste
--  (near) Paris -- France
--  http://Phi.Lho.free.fr
--  --  --  --  --  --  --  --  --  --  --  --  --  --